GNU bug report logs - #49977
Texlive importer is outdated?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Xinglu Chen <public@HIDDEN>; merged with #45656; dated Tue, 10 Aug 2021 12:21:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 45656 49977. Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49977 <at> debbugs.gnu.org:


Received: (at 49977) by debbugs.gnu.org; 10 Aug 2021 14:01:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 10 10:01:13 2021
Received: from localhost ([127.0.0.1]:60152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDSJd-0000Jl-BE
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 10:01:13 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:53300
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mDSJa-0000Bb-LH
 for 49977 <at> debbugs.gnu.org; Tue, 10 Aug 2021 10:01:12 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628604061;
 bh=Mo5xJH8lPcpEzt4Ge/6QqsFlsSQ4pZ0jU08MDfPc1nA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=M9x7LISqLgtmxeOC5Rpge6QZCpmNmA/79Ljob+3iEgJLF3r/uPbVQFF5GcIOvCTky
 78pQ59bweVPY2t+LQMzw79NkTXtBmIWpVDMdnNDdHK15y6V2VOQB3adwasSXJsra3u
 2Z85Ai6xQoPeh0GPbRxLDkUNDML/PWBJMhVy5UCA=
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: Texlive importer is outdated?
In-Reply-To: <87a6lplb7q.fsf@HIDDEN>
References: <87im0do5iq.fsf@HIDDEN> <87a6lplb7q.fsf@HIDDEN>
Date: Tue, 10 Aug 2021 16:00:57 +0200
Message-ID: <87fsvho0va.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Tue, Aug 10 2021,
 Ricardo Wurmus wrote: > Xinglu Chen <public@HIDDEN>
 writes: > >> [Cc Ricardo since you wrote the texlive importer] > > In the
 future please use the X-Debbugs-Cc header instead of Cc, so > that Debbugs
 can put me on [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49977
Cc: 49977 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Tue, Aug 10 2021, Ricardo Wurmus wrote: > Xinglu Chen <public@HIDDEN>
    writes: > >> [Cc Ricardo since you wrote the texlive importer] > > In the
    future please use the X-Debbugs-Cc header instead of Cc, so > that Debbugs
    can put me on [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Tue, Aug 10 2021, Ricardo Wurmus wrote:

> Xinglu Chen <public@HIDDEN> writes:
>
>> [Cc Ricardo since you wrote the texlive importer]
>
> In the future please use the X-Debbugs-Cc header instead of Cc, so=20
> that Debbugs can put me on Cc *after* it has assigned a bug=20
> number.

Ah, I didn=E2=80=99t know about that.

>> In general, I have rarely been able to successfully import a=20
>> CTAN
>> package using the texlive importer, without the =E2=80=98source=E2=80=99=
 field=20
>> missing,
>> perhaps it needs an update?
>
> Correct.  It=E2=80=99s not useful at this point.  I have worked on and of=
f=20
> again on a new TeX Live importer, but it=E2=80=99s not quite ready yet.=20
> I=E2=80=99ll try to resume work on it soon.

That=E2=80=99s great to hear, looking forward to it.  :-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEShpkVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x517IP/1XjEU8oVzKqOjVY687DhfCIqdpT
gyDPJ364bBkDw/cZtwF6jzsIySL9kQjcjV6N8Gl+oz9kPFZ83zzSp5H4KXxojg9b
vhlZoPXl96MksI+DCSajXuJXz5ZkD6OQBl+OmRkC1GZW0+0ya0zY3QcECA6WyXbt
lqnV1YT2PlxvD79LVEavX83AGkj0Qj9Y04MpiERFWxb5aQdtEWsbqtlutC1QrRvu
QSLYEjCLOXKjqB9AvDgQkxkpKypYAFlCnhPIZXgcoq1Y50WMeorhZTDMJMfu+Uyi
vXI1InQ7/8RjZNmZjHvZU7dH6oFT12Y2vhp75eilP5LmMTCmrbrdPkZ3TEFWswH/
LLyArYnWI8f+wHXTL9ATREunIIpVN4svhRi/NhtNbPCbRaRvWOD2BPb5D+36cW5D
aMeQPsbeRvI9fT2WcL3ta/C+L4OCGfPK5JR0BxyKy6JFsMcT/Tw8NZ6s+JNyf4kL
josi1S60JA4emeMPUCLSmXU+JHHVZpX2d3y86Rk5+eI3ErfqhMMsWW2dYchmYWJ0
3Wr+3tZxl++AmeXWb9mzMrBqIqxA7SMtvAuXiJIIhyfCyskHpxX3uAi/vls+lxlM
H3IIEuGF/rtvSwqtHncS0GEfxeiZE9GLNQepTQQA5WnHTQpg2EhaI8nCJNgvvDcU
tXuv44WwLgPDknxA
=jcTC
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#49977; Package guix. Full text available.

Message received at 49977 <at> debbugs.gnu.org:


Received: (at 49977) by debbugs.gnu.org; 10 Aug 2021 12:45:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 10 08:45:59 2021
Received: from localhost ([127.0.0.1]:58669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDR8o-0005P5-UA
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 08:45:59 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1mDR8l-0005Os-1x
 for 49977 <at> debbugs.gnu.org; Tue, 10 Aug 2021 08:45:57 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1628599551; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=cyyPDwOpDSbWBtZW9kIljNgeFOAZxsbbaxrzECvJZvae5q0JG4E8QTaLKM7M4nyc5RhVVUPna8F0KSzVQfyjvEUtuG9NfZTLumAXESVX2JT+mmXXgfAC/6iTtAX9JLU1Ugs9QpPTMS69cj1b+ugEvDz970X/tgKxluUZF2/soF8=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1628599551;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=ZoKRkjRIE7gxjYroFTxLdJFfTxqUSKPgxHI6vRP72Qo=; 
 b=XgE4YvES/QQb12eDlsc+Jwjie/h8KmKQ/aORtFiFwHHyi5WsBSpLfzJdE6X5OdwP0cGUgZZHeUNiMv3cpGZcZHKv0WTeyegOLFPCW7kTjErZMn4nrCUtzblcZbOMTOZFGMXU/CAwkPAj6rivIeHNO53Jnoi5SCDg/dW65oRpU3E=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1628599551; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=ZoKRkjRIE7gxjYroFTxLdJFfTxqUSKPgxHI6vRP72Qo=;
 b=HukiUCE0OWbaxNk1z7oKlpZZd+gn02GeVoV3QE/VKOF+VJPXovWTlqQjj0T2rBCk
 FD4BjpSw4c3Y64Mpqc0/9rqFcL3TqQ14OUDr1DN1/riE0XVdHqY+PUPkzfykGPIFok1
 Vv0A8nhHWKc5uxt3JP9Nqjyov5WJGD4eNCYKezM8=
Received: from localhost (p54ad4e3a.dip0.t-ipconnect.de [84.173.78.58]) by
 mx.zohomail.com with SMTPS id 1628599549340948.6415678493919;
 Tue, 10 Aug 2021 05:45:49 -0700 (PDT)
References: <87im0do5iq.fsf@HIDDEN>
User-agent: mu4e 1.4.15; emacs 27.2
From: Ricardo Wurmus <rekado@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: Texlive importer is outdated?
In-reply-to: <87im0do5iq.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Tue, 10 Aug 2021 14:45:45 +0200
Message-ID: <87a6lplb7q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Xinglu Chen <public@HIDDEN> writes: > [Cc Ricardo
 since
 you wrote the texlive importer] In the future please use the X-Debbugs-Cc
 header instead of Cc, so that Debbugs can put me on Cc *after* it has assigned
 a bug number. 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [136.143.188.51 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [136.143.188.51 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 49977
Cc: 49977 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


Xinglu Chen <public@HIDDEN> writes:

> [Cc Ricardo since you wrote the texlive importer]

In the future please use the X-Debbugs-Cc header instead of Cc, so=20
that Debbugs can put me on Cc *after* it has assigned a bug=20
number.

> In general, I have rarely been able to successfully import a=20
> CTAN
> package using the texlive importer, without the =E2=80=98source=E2=80=99 =
field=20
> missing,
> perhaps it needs an update?

Correct.  It=E2=80=99s not useful at this point.  I have worked on and off=
=20
again on a new TeX Live importer, but it=E2=80=99s not quite ready yet.=20
I=E2=80=99ll try to resume work on it soon.

--=20
Ricardo




Information forwarded to bug-guix@HIDDEN:
bug#49977; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Aug 2021 12:20:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 10 08:20:47 2021
Received: from localhost ([127.0.0.1]:58634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDQkQ-0004mU-SL
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 08:20:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:33782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mDQkN-0004mL-72
 for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 08:20:45 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54934)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1mDQkM-00028Q-T8
 for bug-guix@HIDDEN; Tue, 10 Aug 2021 08:20:42 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:42732
 helo=mail.yoctocell.xyz)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1mDQkH-0001Vg-Jt
 for bug-guix@HIDDEN; Tue, 10 Aug 2021 08:20:42 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628598031;
 bh=Qwt0BCWxczGah2J9syANkcng1GGhax6e7Htod3o7Jxw=;
 h=From:To:Cc:Subject:Date;
 b=qnQZqdvX7hG0RQSFydY1DOIivfwAqpvU6BoqiXKwB81c3+5OF3Eqa0ILiBpR2WUC4
 raWSbQXPZV4C3YritLFKd1rPgQ7ehN1znOuLYNV9DJGCf9OPQN9Cx+x02BRqQh8yHI
 aUJzzsQbH7nS/KZmoXUNMgCMsd3hw7R4jBM//9Qg=
To: bug-guix@HIDDEN
Subject: Texlive importer is outdated?
Date: Tue, 10 Aug 2021 14:20:29 +0200
Message-ID: <87im0do5iq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=87.96.130.155; envelope-from=public@HIDDEN;
 helo=mail.yoctocell.xyz
X-Spam_score_int: 18
X-Spam_score: 1.8
X-Spam_bar: +
X-Spam_report: (1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FROM_SUSPICIOUS_NTLD=0.498,
 FROM_SUSPICIOUS_NTLD_FP=0.386, PDS_OTHER_BAD_TLD=1.997,
 PDS_RDNS_DYNAMIC_FP=0.001, RDNS_DYNAMIC=0.982, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  [Cc Ricardo since you wrote the texlive importer] In section
    "9.5 Invoking ‘guix import’" in the manual, there are two examples of
    runnning the ‘texlive’ importer, but both of them result in incomplete
    package definitions. 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.51.188.17 listed in wl.mailspike.net]
  0.5 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: submit
Cc: Ricardo Wurmus <rekado@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

[Cc Ricardo since you wrote the texlive importer]

In section "9.5 Invoking =E2=80=98guix import=E2=80=99" in the manual, ther=
e are two
examples of runnning the =E2=80=98texlive=E2=80=99 importer, but both of th=
em result in
incomplete package definitions.

=2D-8<---------------cut here---------------start------------->8---
~/src/guix$ ./pre-inst-env guix import texlive fontspec
following redirection to `https://ctan.org/xml/1.2/pkg/fontspec'...
command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "5126=
5" "svn://www.tug.org/texlive/tags/texlive-2019.3/Master/texmf-dist/source/=
latex/fontspec" "/tmp/guix-directory.O5HIN3/svn" failed with signal 11
guix import: warning: Could not determine source location.  Please manually=
 specify the source field.
(package
  (name "texlive-latex-fontspec")
  (version "2.7i")
  (source #f)
  (build-system texlive-build-system)
  (arguments '(#:tex-directory "latex/fontspec"))
  (home-page "http://www.ctan.org/pkg/fontspec")
  (synopsis
    "Advanced font selection in XeLaTeX and LuaLaTeX")
  (description
    "Fontspec is a package for XeLaTeX and LuaLaTeX.  It provides an automa=
tic and unified interface to feature-rich AAT and OpenType fonts through th=
e NFSS in LaTeX running on xetexXeTeX or luatexLuaTeX engines.  The package=
 requires the l3kernell3kernel and xparsexparse bundles from the LaTeX3 dev=
elopment team.")
  (license lppl1.3c))
=2D-8<---------------cut here---------------end--------------->8---

=2D-8<---------------cut here---------------start------------->8---
~/src/guix$ ./pre-inst-env guix import texlive --archive=3Dgeneric ifxetex
following redirection to `https://ctan.org/xml/1.2/pkg/ifxetex'...
command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "5126=
5" "svn://www.tug.org/texlive/tags/texlive-2019.3/Master/texmf-dist/source/=
generic/ifxetex" "/tmp/guix-directory.GjfISH/svn" failed with signal 11
guix import: warning: Could not determine source location.  Please manually=
 specify the source field.
(package
  (name "texlive-generic-ifxetex")
  (version "0.7")
  (source #f)
  (build-system texlive-build-system)
  (arguments '(#:tex-directory "generic/ifxetex"))
  (home-page "http://www.ctan.org/pkg/ifxetex")
  (synopsis "Am I running under XeTeX?")
  (description
    "A simple package which provides an \\ifxetex conditional, so that othe=
r code can determine that it is running under XeTeX.  The package requires =
the etexe-TeX extensions to the TeX primitive set.  Please note, that ifxet=
ex is now part of iftexiftex.")
  (license lppl1.3c))
=2D-8<---------------cut here---------------end--------------->8---

When looking at the CTAN page for =E2=80=98ifxetex=E2=80=99[1], it says tha=
t the source
in located in /macros/generic/iftex, but I tried a few paths for the
archive, and they all result in an incomplete package (same warning as
above).

* /macros/generic/iftex
* macros/generic/iftex
* /macros/generic/iftex/ifxetex
* macros/generic/iftex/ifxetex

In general, I have rarely been able to successfully import a CTAN
package using the texlive importer, without the =E2=80=98source=E2=80=99 fi=
eld missing,
perhaps it needs an update?


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmESbw0VHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5o4EQAIdwbcDcoKL5mna194aIirLqztXx
fEdQsJwHh3T352J98yRT/ZqBsrOTPMjT1AOrBSdzdM2Goo1bBzxgCljSMal/wCXP
l7M/1Oc1WpNT093BODYGYiF9xjHD8xcsMfrmJd5XCD0+cuEy39/6e4sjineZgJ7G
UoVdoGFmcrZ5J3Fmtmg++LMflZot1a/+3jgz0JnA9z214OF36HgAolJzkZWq2a1P
6VTi/WT8Jb8B4gvvOZDcFWHTBXwMdBLz8k3vX4bHHF+grUdx56gMbKX44kxeMcCI
5ztMuTkDnphZ15Vein0VSuslJ+RTVPUFeSvyfxUrStzgebiDiglDWs/CqTy/Kswx
dUhwmxblFQxHD/ZHu0UxEHhRuTJVGdfh67mfCmzyQQfLDZ6kn7yBTrV8T8RxUx84
QRLocEPbW3GSx4EZAWBykJ1OrsAzfQ5TaBkZL1pRRim+IJ0tJbYAa7DoNrsE6Hwy
X2YHV6C1HHk2W+6xn6ok36xTjPSX/K6I3AKLZSy0z9r7htGXjqmaDahBwuJ36IfN
Ro45BP42popn38BX5hneF/L+lQyHupb7Y+YvgeQrc9Nt18IkOB9bq4UBT0y05Va0
k2e86t9gNS9VowwtwLu+BlkT8CbAfrqnS/jRce1804jki9f2kHITBJljZt1rMc3g
+3CR9CNqiBKqmIin
=pI0+
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Xinglu Chen <public@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#49977; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 19 Aug 2021 03:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.